django_env/app/accueil/urls.py
from accueil import views
from django.urls import path, re_path , include

urlpatterns = [
    path('depreciatedAccueil', views.deprecatedAccueil),
    re_path(r'^$', views.goodAccueil),
    path('sum/<int:first>/<int:second>', views.sum),
    re_path(r'^sum/(?P<first>)/(?P<second>)', views.sum),
]

django_env/app/annuaire/urls.py
from annuaire import views
from django.urls import path, re_path , include

app_name = 'annuaire'
urlpatterns = [
    re_path(r'^$', views.getList, name='list'),
    path('particulier/<int:id>', views.getParticulier, name= 'particulier'),
    path('<couleur>', views.getList, name='list'),
    path('entreprise/<int:id>', views.getEntreprise, name= 'entreprise'),

    #re_path(r'particulier/(P<id>[0-9]+)$', views.getParticulier),
    ]

django_env/app/app/urls.py
from django.contrib import admin
from django.urls import path, re_path , include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('accueil.urls')),
    path('annuaire/', include('annuaire.urls')),
]

django_env/app/accueil/models.py
from django.db import models

# Create your models here.

django_env/app/annuaire/models.py
from django.db import models

class Particulier(models.Model):
    nom = models.CharField(max_length=50)
    prenom = models.CharField(max_length=50)
    telephone = models.CharField(max_length=14)
    entreprise = models.BooleanField(default=False)

    def __str__(self):
        return self.nom + ' ' + self.prenom

    

django_env/app/accueil/views.py
from django.shortcuts import render
from django.http import HttpResponse
from datetime import datetime

# Create your views here.
def deprecatedAccueil(request):
    """ Exemple de page non valide au niveau HTML pour que l'exemple soit concis """
    return HttpResponse("""
        <h1>Hello world</h1>
    """)

def goodAccueil(request):
    return render(request, 'accueil/helloWorld.html', {'date': datetime.now()})

def sum(request,first, second):
    total=first+second
    return render(request,'accueil/sum.html',locals())

django_env/app/annuaire/views.py
from django.shortcuts import render
from django.http import HttpResponse
from .models import Particulier
# Create your views here.

def getList(request, couleur="blanches"):
    if(couleur == "blanches"):
        contacts = [
            {'id': 0, 'nom': 'Nom', 'prenom': 'Prénom', 'telephone':'03 12 34 66 55', "entreprise" : False},
            {'id': 1, 'nom': 'Tata', 'prenom': 'Toto', 'telephone':'03 99 99 99 99', "entreprise" : False},
            {'id': 2, 'nom': 'Lechien', 'prenom': 'Bobby', 'telephone':'03 01 01 01 01', "entreprise" : False},
        ]
    else : 
        contacts = [
            {'id': 0, 'nom' : 'EDF', "prenom" : "", 'telephone':'000000000', "entreprise" : True},
            {'id': 1, 'nom' : 'GDF', "prenom" : "", 'telephone':'030000000', "entreprise" : True},
        ]
    return render(request, 'annuaire/list.html',{'contacts': contacts , 'couleur' : couleur})

def getParticulier(request, id):
    particulier = Particulier.objects.get(pk=id)
    return render(request, 'annuaire/detail.html', {'particulier': particulier})

def getParticulier(request, id):
    particuliers = [
        {'id': 0, 'nom': 'Nom', 'prenom': 'Prénom', 'telephone':'03 12 34 66 55', "entreprise" : False},
        {'id': 1, 'nom': 'Tata', 'prenom': 'Toto', 'telephone':'03 99 99 99 99', "entreprise" : False},
        {'id': 2, 'nom': 'Lechien', 'prenom': 'Bobby', 'telephone':'03 01 01 01 01', "entreprise" : False},
    ]
    return render(request, 'annuaire/detail.html', {'contact': particuliers[id]}) 

def getEntreprise(request, id):
    entreprises = [
            {'id': 0, 'nom' : 'EDF', "prenom" : "", 'telephone':'000000000', "entreprise" : True},
            {'id': 1, 'nom' : 'GDF', "prenom" : "", 'telephone':'030000000', "entreprise" : True},
    ]
    return render(request, "annuaire/detail.html", {"contact": entreprises[id]})

django_env/app/accueil/templates/accueil/helloWorld.html
<h1>Hello world</h1>
<p>La date actuelle est : {{ date }}</p>

<a href ="{% url 'annuaire:list' %}"> 
    Lien vers notre annuaire
</a>

django_env/app/accueil/templates/accueil/sum.html
<h1>le résultat de l'addition de {{first}} avec {{second}} est : {{total}} ou : {{ first|add:second }}</h1>

django_env/app/annuaire/templates/annuaire/detail.html
{% extends 'layouts/base.html'%}

{% block content %}
<detailcontact>
    {% if contact.Entreprise == False %}
    <h1>{{contact.nom|upper}} {{contact.prenom}}</h1>
    {% else %}
    <h1>{{contact.nom|upper}}</h1>
    {% endif %}
    <p> Numéro de téléphone : {{contact.telephone}}</p>
</detailcontact>


<a href ="{% url 'annuaire:list' %}"> 
        Retourner sur l'annuaire
</a>

{% endblock %}

django_env/app/annuaire/templates/annuaire/list.html
{% extends 'layouts/base.html'%}

{% block content %}
<h2>Pages {{couleur}}</h2>
<div class="list">
{% if couleur == "blanches" %}
{% for contact in contacts %}
<div>
    <particulier>
        <h2>
            <a href ="{% url 'annuaire:particulier' contact.id %}"> 
                #{{contact.id}} - {{contact.nom|upper}} {{contact.prenom}}
            </a>
        </h2>
    </particulier>
</div>
    {%if not forloop.last%}
    {% endif %}
    {% empty %}
    <p>Désolé aucun numéro disponible</p>
{% endfor %}
{% else %}
{% for contact in contacts %}
<div>
    <entreprise>
        <h2>
            <a href ="{% url 'annuaire:entreprise' contact.id %}"> 
                #{{contact.id}} - {{contact.nom|upper}} 
            </a>
        </h2>
    </entreprise>
</div>
    {%if not forloop.last%}
    {% endif %}
    {% empty %}
    <p>Désolé aucun numéro disponible</p>
{% endfor %}
{% endif %}
</div>

{% endblock %}

django_env/app/templates/layouts/base.html
{% load staticfiles %}

<link rel="stylesheet" type="text/css" href="{% static 'css/styleHeader.css' %}" />

<!DOCTYPE html>
<html lang = "fr">
    <head>
        <meta charset= "UTF-8">
        <title>Annuaire</title>
    </head>
    <body>
    <h1>Annuaire</h1>
    <div class='annuaire'>
        <a class = "nav" href ="{% url 'annuaire:list' 'blanches' %}"><p>Pages blanches</p></a>
        <a class = "nav" href ="{% url 'annuaire:list' 'jaunes' %}"><p>Pages jaunes</p></a>
    </div>
{% block content %}{% endblock %}
    </body>
</html>